
Name: app-system-applications
Epoch: 1
Version: 1.6.5
Release: 1%{dist}
Summary: Applications
License: GPLv3
Group: ClearOS/Apps
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base

%description
Applications overview... blah blah blah

%package core
Summary: Applications - Core
License: LGPLv3
Group: ClearOS/Libraries
Requires: app-base-core

%description core
Applications overview... blah blah blah

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/system_applications
cp -r * %{buildroot}/usr/clearos/apps/system_applications/


%post
logger -p local6.notice -t installer 'app-system-applications - installing'

%post core
logger -p local6.notice -t installer 'app-system-applications-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/system_applications/deploy/install ] && /usr/clearos/apps/system_applications/deploy/install
fi

[ -x /usr/clearos/apps/system_applications/deploy/upgrade ] && /usr/clearos/apps/system_applications/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-system-applications - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-system-applications-core - uninstalling'
    [ -x /usr/clearos/apps/system_applications/deploy/uninstall ] && /usr/clearos/apps/system_applications/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/system_applications/controllers
/usr/clearos/apps/system_applications/htdocs
/usr/clearos/apps/system_applications/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/system_applications/packaging
%dir /usr/clearos/apps/system_applications
/usr/clearos/apps/system_applications/deploy
/usr/clearos/apps/system_applications/language
